//! This module helps us to deal with bounding boxes.

use crate::engine::vector::Vector;

/// This struct represents a bounding box.
#[derive(Copy, Clone)]
pub struct Bbox {
    /// The position of the top right corner of the box.
    pub position: Vector,

    /// The size of the box.
    pub size: Vector,
}

impl Bbox {
    /// Creates a bounding box from x, y, width and height.
    pub fn new(x: f64, y: f64, w: f64, h: f64) -> Bbox {
        Bbox {
            position: Vector::new(x, y),
            size: Vector::new(w, h),
        }
    }
}
